/*-------------------------------------------------------------------------+
| Copyright 2018 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.exploration.alg.module.common.operator.mutate;

import org.opt4j.core.Genotype;
import org.opt4j.operators.mutate.Mutate;

/**
 * No-Op Mutation for Identity Decoders.
 * 
 * @author diewald
 */
public class NopMutateOperator implements Mutate<Genotype> {
	/** {@inheritDoc} */
	@Override
	public void mutate(Genotype genotype, double p) {
		return;
	}
}
